package de.ivu.elect.presentation.wahl.menu;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Specializes
public class NlWasWahlprozessMenuBuilder extends NlWahlprozessMenuBuilder {
  private static final long serialVersionUID = 1L;

  @Inject
  private transient NlWasInitialWahlphaseSchrittMenuItem nlWasInitialWahlphaseSchrittMenuItem;

  @Inject
  private transient NlWasErfassungWahlphaseSchrittMenuItem nlWasErfassungWahlphaseSchrittMenuItem;

  @Inject
  private transient NlWasAbschlussWahlphaseSchrittMenuItem nlWasAbschlussWahlphaseSchrittMenuItem;

  @Inject
  private transient NlWasSitzberechnungWahlphaseSchrittMenuItem nlWasSitzberechnungWahlphaseSchrittMenuItem;

  @Inject
  private transient NlWasFreigabeWahlphaseSchrittMenuItem nlWasFreigabeWahlphaseSchrittMenuItem;

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = super.getMenuEntriesSorted();
    result.add(nlWasInitialWahlphaseSchrittMenuItem);
    result.add(nlWasErfassungWahlphaseSchrittMenuItem);
    result.add(nlWasAbschlussWahlphaseSchrittMenuItem);
    result.add(nlWasSitzberechnungWahlphaseSchrittMenuItem);
    result.add(nlWasFreigabeWahlphaseSchrittMenuItem);

    return result;
  }

}
